#include "my_mesh.h"

#include <iostream>


bool check_faces_are_triangles(MyMesh &mesh) {
	for (auto f_it = mesh.faces_begin(); f_it != mesh.faces_end(); ++f_it) {
		size_t n_edges = 0;
		for (auto fe_it = mesh.fe_iter(*f_it); fe_it.is_valid(); ++fe_it) {
			n_edges++;
		}
		if (n_edges != 3) {
			return false;
		}
	}
	return true;
}


bool check_faces_arent_lonely(MyMesh &mesh) {
	for (auto f_it = mesh.faces_begin(); f_it != mesh.faces_end(); ++f_it) {
		auto ff_it = mesh.ff_iter(*f_it);
		if (!ff_it.is_valid()) {
			return false;
		}
	}
	return true;
}
			return false;
		}
	}
	return true;
}


int main(int argc, char *argv[]) {
	using namespace std;

	if (argc != 2) {
		cerr << "Utilisation : " << argv[0] << " [fichier.obj]" << endl;
		return 1;
	}
	MyMesh mesh;
	OpenMesh::IO::read_mesh(mesh, argv[1]);
	cout << "Les faces sont des triangles : ";
	if (check_faces_are_triangles(mesh)) {
		cout << "oui";
	}
	else {
		cout << "non";
	}
	cout << endl;

	cout << "Les faces ont des voisines : ";
	if (check_faces_arent_lonely(mesh)) {
		cout << "oui";
	}
	else {
		cout << "non";
	}
	cout << endl;
	return 0;
}
